;;; irc-conf.el --- IRC stuff
;;;
;;; commentary:
;;; I used to use ERC but rcirc is a little cleaner
;;; especially as I'm a very lightweight user (am never online :3)
;;;
;;; code:

(use-package rcirc
  :bind (("C-c I" . irc))
  :config
  (setq rcirc-server-alist
	'(("irc.libera.chat"
	   :port 6697
	   :nick "nobody"
	   :encryption tls)))

;          I don't really view this server anymore :3
;          ("phrl42.ydns.eu"
;	   :port 6697
;	   :encryption tls
;	   :nick "bonk")))
  :hook (rcirc-mode . rcirc-omit-mode))

;;(require 'tls) ;?
(use-package erc
  :custom
   (erc-autojoin-channels-alist '(("libera.chat" "#test")))
   (erc-fill-function 'erc-fill-static)
   (erc-fill-static-center 20)
   (erc-hide-alist '("JOIN" "PART" "QUIT"))
   (erc-nick "nobody")
   (erc-full-name "I SAID NOBODY"))

(provide 'irc-conf)
;;; irc-conf.el ends here.
