;;; misc-conf.el -- Randnom packages that I really like <3
;;;
;;; commentary:
;;;
;;; nyan-mode		-- Add nyancat to mode-line ^-^
;;; fireplace		-- Cozy fireplace
;;; elpher		-- Gemini / gopher browser
;;; multiple-cursors	-- Write on multiple lines
;;; company		-- Auto-completion popups
;;; elfeed		-- RSS reader
;;; hide-mode-line	-- Hide the mode line
;;; browse-kill-ring     -- Visual M-y replacement
;;;
;;; code:

;; I want comments to be filled, but not necessarilly code lol ok is this actually working yet no umu this actually working uwu? no umu
(use-package prog-mode
  :hook (prog-mode . auto-fill-mode)
  :custom
  (comment-auto-fill-only-comments t)
  (comment-auto-fill-only-comments t))

;; Hide/abbreviate mode names in the mode-line
(use-package delight :ensure t)

;; Completely hide visual-line-mode and change auto-fill-mode to " AF".
;; I'm allowed to hide / replace mode names in the minibuffer uwu
(use-package emacs
  :delight
  (auto-fill-function "AF")
  (visual-line-mode)
  (word-wrap)
  (emacs-lisp-mode "elisp"))

(use-package god-mode
  :ensure t
  :bind (("<escape>" . god-mode)
	 :map god-local-mode-map
	 ("C-i"     .  'god-mode)
	 ("C-c C-i" .  'ibuffer)
	 ("C-."     .  'repeat)
	 ("C-x C-)" .  'split-window-sensibly)
	 ("C-x C-(" . 'delete-other-windows)
	 ("C-x C-*" .  'delete-window)))

(use-package visual-fill-column
  :custom
  (visual-fill-column-center-text t)
  :hook (org-mode variable-pitch-mode text-mode gemtext-mode))

;;(use-package color-theme-modern :ensure)
;;(use-package gruvbox-theme :ensure)
;;(use-package dracula-theme :ensure)
;;(load-theme 'gruvbox-dark-hard)

(use-package nyan-mode)

(use-package hide-mode-line
  :ensure t
  :hook fireplace-mode)

(use-package fireplace
  :ensure t
  :bind (("C-c P" . fireplace)))

(use-package pass
  :bind (("C-c p" . pass)))

(use-package elpher
  :ensure t
  :bind (("C-c g" . elpher))
  :custom
  (elpher-default-url-type "gemini"))

(use-package multiple-cursors
  :ensure t
  :bind (("C->" . mc/mark-next-like-this)
	 ("C-<" . mc/mark-previous-like-this)))

(use-package magit :ensure t)

(use-package browse-kill-ring
  :ensure t
  :bind (("M-y" . browse-kill-ring)))

;; TODO - Make sure RET does not complete.
(use-package company
  :delight
  :bind (:map company-active-map ("RET" . nil))
  :ensure t
  :hook (rust-ts-mode emacs-lisp-mode ruby-ts-mode prog-mode))


(provide 'misc-conf)
;;; misc-conf.el ends here.
