;;; mpc-conf.el --- Config for MPC, the mpd music player.
;;;
;;; commentary:
;;; It's kinda neglected :(
;;;
;;; code:

(use-package mpc
  :bind (("C-c M" . mpc)
	 :map mpc-mode-map
         ("C-<return>" . 'mpc-play-at-point)
         ("<SPC>"   . 'mpc-toggle-play)
         ("M-p"     . 'windmove-up)
         ("M-n"     . 'windmove-down)
         ("M-b"     . 'windmove-left)
         ("M-f"     . 'windmove-right)
         ("s"       . 'mpc-toggle-shuffle)
         ("n"       . 'next-line)
         ("p"       . 'previous-line)
         ("f"       . 'mpc-next)
         ("b"       . 'mpc-prev))
  :config
  (setq
   mpc-browser-tags '(Artist Album)
   mpc-songs-format "%-5{Time} %30{Title} %30{Artist}"))

(provide 'mpc-conf)

;;; mpc-conf.el ends here
